Bug 144660 - konqueror crashes when opening a URL with a related pop-up
konqueror crashes when opening a URL with a related pop-up
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdelibs (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 09:06 EST by John Poelstra
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 12:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (97.60 KB, text/plain)
2005-01-10 09:09 EST, John Poelstra
no flags Details
kde backtrace (4.21 KB, text/plain)
2005-01-10 09:10 EST, John Poelstra
no flags Details

  None (edit)
Description John Poelstra 2005-01-10 09:06:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Clicking on the following weblink crashes conqueror.

See attached strace and kde provided backtrace.



Version-Release number of selected component (if applicable):
kdelibs-3.1.3-6.6.ia64 / kdelibs-3.1.3-6.6.i386

How reproducible:
Always

Steps to Reproduce:
1. Go to this website:
http://secunia.com/multiple_browsers_window_injection_vulnerability_test/
2. Click on the link under "With Pop-up Blocker:"
3. Brace yourself for the crash
    

Actual Results:  Konqueror crashes... only on ia64; other
architectures appear to be fine.

Expected Results:  No crash

Additional info:
Comment 1 John Poelstra 2005-01-10 09:09:22 EST
Created attachment 109555 [details]
strace
Comment 2 John Poelstra 2005-01-10 09:10:11 EST
Created attachment 109556 [details]
kde backtrace
Comment 3 Ngo Than 2005-01-20 05:47:12 EST
does it crash with previous kdelibs/kdebase version?

i need ia64 machine with RHEL3 installation for testing/bug fixing.
Could you please give me access to this test machine? Thanks
Comment 8 Ngo Than 2005-02-01 05:41:20 EST
John, could you please reproduce this crash on new ia64 machine ?

as i said above, this problem is not reproduceable on ia64 testmachine
here. Please close this if the problem does not show up
Comment 9 Ngo Than 2005-04-19 12:02:21 EDT
please reopen it again if you could give me testcase to reproduce this problem.
thanks

Note You need to log in before you can comment on or make changes to this bug.